class PluginLoader
  def initialize(path)
    @path = File.expand_path path
  end

  def load!
    Dir[File.join(@path, "**", "*.rb")].each { |file|
      require file  if File.file? file
    }
  end
end
