blog {
  title 'Nukumi2 Documentation'
  tagline 'well, docs :-)'
  author 'Christian Neukirchen'
  mail 'chneukirchen@gmail.com'
  css '/data/style.css'
  site 'http://example.org/nukumi2/'
  baseuri 'http://example.org/nukumi2/'
  taguri 'tag:chneukirchen@gmail.com,2004-12:nukumi2-docs'
  copyright \
    "Copyright © 2004, 2005 J. Random Author, jr@example.com\n" +
    "Verbatim copying is permitted as long as this message is preserved."

  static 'html'

  outline %w{
    introduction
    core-concepts
    how-it-works
    a-step-by-step-guide
    customizing-and-extending-nukumi2
    use-cases
  }

  register {
    constant :backends, { :text => FileBackend.new("text") }
  }

  topics {
    title 'Front Page'
    view 'Direct'
    save 'html'

    topic.static {
      title 'Outline'
      view 'Empty'
      save 'html'

      any { all { view 'Full'; save 'html' } }
    }
  }
}

