require 'rexml/document'

class NiceHR
  def initialize(html)
    @doc = REXML::Document.new("<div>" + html + "</div>")
  end

  def to_html
    @doc.elements.each("*/hr") { |element|
      element.name = "div"
      element.attributes["class"] = "seperator"
      element << REXML::Element.new("hr")
      element << REXML::Text.new("* * *")
    }
    @doc.root[0..-1].to_s       # Drop <div>
  end
end
