blog {
  title 'sample blog'
  tagline 'sample blog -- the canonical example blog'
  author 'J. Random Author'
  mail 'jr@example.com'
  css '/data/style.css'
  site 'http://example.org/nukumi2/'
  baseuri 'http://example.org/nukumi2/'
  taguri 'tag:chneukirchen@gmail.com,2004-11:nukumi2-example-blog'
  copyright \
    "Copyright © 2004, 2005 J. Random Author, jr@example.com\n" +
    "Verbatim copying is permitted as long as this message is preserved."
  html_copyright \
    "Copyright © 2004, 2005 <a href='mailto:jr@example.com'>J. Random Author</a>" +
    "<br/>\nVerbatim copying is permitted as long as this message is preserved."

  register {
    constant :backends, {:exampleblog => FileBackend.new("entries") }

#    blogroll { BlogRoll.load("blogroll.yaml") }
  }

  topics {
    title 'Front Page'
    view 'Last'
    save 'html'

    topic.static {
      title 'Also on this site'
      view 'Subtopic'
      save 'html'

      all { view 'Full'; save 'html' }

      topic.about { title 'About' }
    }
    
    topic.category {
      title 'By Category'
      view 'Subtopic'
      save 'html'
      
      any {
        all {
         view 'Last'
         save 'html'
        }
      }

      topic.nukumi { title 'Nukumi2 stuff' }
      topic.ruby { title 'Ruby' }
      topic.emacs { title 'Emacs' }
      
    }
    
    topic.archive {
      title 'By Date'
      view 'Subtopic'
      save 'html'

      any {
        view 'Subtopic'
        save 'html'

        all {
          view 'Last'
          hidden true
        }
        
        any {
          view 'Full'
          save 'html'

          any {
            view 'Single'
            hidden true
            save 'html'
          }
        }        
      }
    }
  }
}

